Subject: bug#24875: 26.0.50; In Dotted Pair Notation, the read function returns CDR if CAR is absent

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 06 Jul 2021 17:32:26 +0200

Chunyang Xu <[email-masked]> writes:

> For example, I eval this in the *scratch* buffer:
>
> (read "( . 123)")
>      ⇒ 123
>
> (read "(1 . ( . (3 . nil)))")
>      ⇒ (1 3)
>
> I can't find explanation about this behavior in elisp manual. Is it
> expected?

That is indeed very eccentric behaviour, so we should probably mention
it somewhere?  (I guess we can't change it.)

Anybody got an opinion here, or a way that we can describe it in the
manual except pointing at the examples and then going ¯\_(ツ)_/¯?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no